Subject: Re: [PATCH] Fix e100 on systems that have cache incoherent DMA

From: Andrew Morton <[email-masked]>
Date: Wed, 2 Jul 2008 10:45:55 -0700

On Wed, 02 Jul 2008 19:36:16 +0200 Anders Grafstr__m <[email-masked]> wrote:

> Andrew Morton wrote:
> > On Tue, 01 Jul 2008 05:49:47 -0400 Jeff Garzik <[email-masked]> wrote:
> > 
> >> Andrew Morton wrote:
> >>> On Thu, 19 Jun 2008 14:38:33 +0200 Anders Grafstr__m <[email-masked]> wrote:
> >>>
> >>>> David Acker wrote:
> >>>>> May I ask what actual board you are using and how the e100 is connected 
> >>>>> to it?  I plan to test with miniPCI based e100 cards.  Also, can you say 
> >>>>> more about it being broke?  Does it crash immediately, fail to move any 
> >>>>> data, move some data and stop, etc. ?
> >>>> It's a custom board based on the IXDP425 reference design.
> >>>> IXP420 with 82551ER integrated on the same board.
> >>>> Both RX and TX appears to stop shortly after the driver has been initialized.
> >>>> It never recovers after the "exec cuc_dump_reset failed" messages start to show.
> >>> So..  where are we with this?
> >> It's in net-2.6, davem's 2.6.26-rc queue.
> >>
> > 
> > ah, thanks.  Is it needed in 2.6.25.x?
> 
> I think so.

OK.  It's in Jeff's hands now, so I'm out of the loop.

-------------------------------------------------------------------------
Sponsored by: SourceForge.net Community Choice Awards: VOTE NOW!
Studies have shown that voting for your favorite open source project,
along with a healthy diet, reduces your potential for chronic lameness
and boredom. Vote Now at http://www.sourceforge.net/community/cca08